Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160097 - 2 issues with linux-2.6.11-exec-shield.patch in 1.33 kernel
Summary: 2 issues with linux-2.6.11-exec-shield.patch in 1.33 kernel
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-10 18:54 UTC by H.J. Lu
Modified: 2015-01-04 22:20 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 06:38:48 UTC


Attachments (Terms of Use)

Description H.J. Lu 2005-06-10 18:54:10 UTC
linux-2.6.11-exec-shield.patch has

--- linux/include/asm-x86_64/processor.h.orig
+++ linux/include/asm-x86_64/processor.h
@@ -164,6 +164,15 @@ static inline void clear_in_cr4 (unsigne
  */
 #define TASK_SIZE      (0x800000000000UL)

+#define TASK_SIZE_64   (0x800000000000)
+
+#define TASK_SIZE (test_thread_flag(TIF_IA32) ? IA32_PAGE_OFFSET : TASK_SIZE_64)
+
+#define __HAVE_ARCH_ALIGN_STACK
+extern unsigned long arch_align_stack(unsigned long sp);
+
+#define HAVE_ARCH_PICK_MMAP_LAYOUT
+
 /* This decides where the kernel will search for a free chunk of vm
  * space during mmap's.
  */

It leads to

In file included from include/linux/spinlock.h:16,
                 from include/linux/capability.h:45,
                 from include/linux/sched.h:7,
                 from init/calibrate.c:7:
include/asm/processor.h:169:1: warning: "TASK_SIZE" redefined
include/asm/processor.h:165:1: warning: this is the location of the previous
definition

What is wrong with `UL'? Shouldn't the first "TASK_SIZE" be deleted?

Comment 1 Warren Togami 2005-06-10 19:57:04 UTC
What version of the FC3 kernel are you comparing this to?

Comment 2 H.J. Lu 2005-06-10 20:00:18 UTC
I saw it in today's 2.6.11-1.33_FC3.

Comment 3 Dave Jones 2005-06-10 21:50:47 UTC
fixed in CVS, will be in .34 later today



Note You need to log in before you can comment on or make changes to this bug.